- Qt 5.5
- Qt Sensors
- C++ Classes
- QGyroscope
- Qt 5.5.1 Reference Documentation

# QGyroscope Class

The QGyroscope class is a convenience wrapper around QSensor. More...

Header: | #include <QGyroscope>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QGyroscope(QObject * parent = 0)
virtual | ~QGyroscope()
QGyroscopeReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QGyroscope class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QGyroscopeReading instead of a QSensorReading.

For details about how the sensor works, see QGyroscopeReading.

See also QGyroscopeReading.

## Member Function Documentation

### QGyroscope::QGyroscope(QObject * parent = 0)

Construct the sensor as a child of parent.

### `[virtual]` QGyroscope::~QGyroscope()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QGyroscopeReading * QGyroscope::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().